Update GitHub workflow verification settings
curl --request PATCH \
--url https://atollhq.com/api/orgs/{id}/github-connections/{connectionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflow_paths": [
"<string>"
],
"delivery_agent_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://atollhq.com/api/orgs/{id}/github-connections/{connectionId}"
payload = {
"workflow_paths": ["<string>"],
"delivery_agent_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workflow_paths: ['<string>'],
delivery_agent_member_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://atollhq.com/api/orgs/{id}/github-connections/{connectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}Integrations and billing
Update GitHub workflow verification settings
Owner/admin-only settings. Modes are disabled, observe, and attention. Enabling requires a reconciled hook; delivery agents must be organization agents with project access.
PATCH
/
api
/
orgs
/
{id}
/
github-connections
/
{connectionId}
Update GitHub workflow verification settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Updated safe GitHub connection settings
The response is of type object.

